<div class="container d-flex justify-content-center">
    <div class="rounded mt-5 p-4 bg-dark text-light">
        <div class="container">
            <div class="row bg-light text-dark mb-3 rounded">
                <div class="col-12">
                    <div *ngIf="getAccumulator() != 0; else elseBlock">
                        <h4 class="text-secondary text-end mb-0 p-1">{{getAccumulator() + " " + getOperation()}}</h4>
                        <h2 class="text-end mb-0 p-1">{{selectedNumber}}</h2>
                    </div>
                    <ng-template #elseBlock>
                        <h4 class="text-end mb-0 p-1">&nbsp;</h4>
                        <h2 class="text-end mb-0 p-1">{{selectedNumber}}</h2>
                    </ng-template>
                </div>
            </div>
        </div>
        <div>
            <div class="row mb-2">
                <div class="col-3">
                    <button class="btn btn-secondary text-warning w-100 p-2 ps-4 pe-4" (click)="false">(</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary text-warning w-100 p-2 ps-4 pe-4" (click)="false">)</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary text-warning w-100 p-2 ps-4 pe-4" (click)="squareRoot()">√</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary text-warning w-100 p-2 ps-4 pe-4" (click)="resetCalculator()">C</button>
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="setNumber(7)">7</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="setNumber(8)">8</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="setNumber(9)">9</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary text-warning w-100 p-2 ps-4 pe-4" (click)="divide()">/</button>
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="setNumber(4)">4</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="setNumber(5)">5</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="setNumber(6)">6</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary text-warning w-100 p-2 ps-4 pe-4" (click)="multiply()">x</button>
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="setNumber(1)">1</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="setNumber(2)">2</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="setNumber(3)">3</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary text-warning w-100 p-2 ps-4 pe-4" (click)="subtract()">-</button>
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-3">
                    <button class="btn btn-secondary text-warning w-100 p-2 ps-4 pe-4" (click)="power()">x²</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="setNumber(0)">0</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary w-100 p-2 ps-4 pe-4" (click)="addComma()">.</button>
                </div>
                <div class="col-3">
                    <button class="btn btn-secondary text-warning w-100 p-2 ps-4 pe-4" (click)="add()">+</button>
                </div>
            </div>
            <div class="row mt-3">
                <div class="col-3">
                    <button class="btn btn-danger w-100 p-2 ps-4 pe-4" (click)="removeLastNumber()"><</button>
                </div>
                <div class="col-9">
                    <button class="btn btn-primary w-100 p-2 ps-4 pe-4" (click)="finishCalculation()">=</button>
                </div>
            </div>
        </div>   
    </div>
</div>
